
QGIS Application - Bug report #4371

Identify tool does not work with reprojected WMS layers

2011-10-11 03:11 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14303

Description

I just noticed the following with qgis-trunk under both Linux and Windows:

The identify tool does return always

GetFeatureInfo results: Search returned no results.

if the WMS is reprojected on the fly (if not reprojected the tool returns the expected values).

Moreover, if in the TOC is present a layer from the "openlayers plugin" plugin (active or not), the identify tools does not work at all.

Cheers

Associated revisions

Revision 7a0e517a - 2011-12-24 09:43 PM - Jürgen Fischer

fix #4371

Revision 603081f9 - 2011-12-25 03:55 PM - Jürgen Fischer

fix #4371

History

#1 - 2011-10-15 07:33 AM - Giovanni Manghi

- Subject changed from identify tool issues with WMS layers to Identify tool issues with reprojected WMS layers and "Openlayers" layers

#2 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2011-12-24 05:02 AM - Giovanni Manghi

- Subject changed from Identify tool issues with reprojected WMS layers and "Openlayers" layers to Identify tool does not work with reprojected WMS 

layers

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

It has nothing to do with the Openlayers plugin (this is a separate issue). With reprojected WMS layers the identify tool does not work (does not return
anything)

GetFeatureInfo results:Search returned no results.

#4 - 2011-12-24 01:24 PM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:"7a0e517af29ef74904c7e8861d08af7e1741c583".
